using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.BaseData.Domain.Entities.FM
{
    [Description("测试多选")]
    public class T_FM_USER_TEST : MesEntityBase
    {

        [Description("岗位名称")]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        public string NAME { get; set; }
        /// <summary>
        /// 名称首字母缩写
        /// </summary>
        [Description("岗位ID")]
        [DataFieldForeignKey("Nav_UserPost", "Nav_UserTests")]
        public Guid USER_POST_ID { get; set; }

        [Description("用户ID")]
        public Guid USER_ID { get; set; }

        [Description("备注")]
        [FormFieldEdit]
        public string REMARK { get; set; }

        [Description("岗位信息")]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        public virtual T_FM_USER_POST Nav_UserPost { get; set; }


    }
}
